### Function

# GdkX11x11_get_server_time

#### Declaration [src]

    guint32
    gdk_x11_get_server_time (
      GdkSurface* surface
    )

#### Description [src]

Routine to get the current X server time stamp.

#### Parameters

`surface`

  Type: `GdkX11Surface`

  A `GdkSurface`, used for communication with the server. The surface must have `GDK_PROPERTY_CHANGE_MASK` in its events mask or a hang will result.

  The data is owned by the caller of the function.

#### Return value

Type: `guint32`

The time stamp.